BACKUP_DELVOLENTRY(8)

NAME
backup_delvolentry - Deletes a volume entry from a volume set

SYNOPSIS
backup delvolentry -name <volume set name>
    -entry <volume set index> [-localauth]
    [-cell <cell name>] [-help]

backup delvole -n <volume set name>
    -e <volume set index>
    [-l] [-c <cell name>] [-h]

DESCRIPTION
The backup delvolentry command deletes the indicated volume entry from the volume set specified with the -name argument. Use the -entry argument to identify the volume entry by its index number. To display the index numbers, use the backup listvolsets command.

If there are any remaining volume entries with index numbers higher than the deleted entry, their indexes are automatically decremented to eliminate any gaps in the indexing sequence.

CAUTIONS
Deleting volume entries from a temporary volume set is possible only within the interactive session in which the volume set was created.

OPTIONS

-name <volume set name>
    Names the volume set from which to delete a volume entry.

-entry <volume set index>
    Specifies the index number of the volume entry to delete. Use the backup listvolsets command to display the index numbers for a volume set's volume entries.

-localauth
    Constructs a server ticket using a key from the local /usr/local/etc/openafs/server/KeyFile file. The backup command interpreter presents it to the Backup Server, Volume Server and VL Server during mutual authentication. Do not combine this flag with the -cell argument. For more details, see backup(8).

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see backup(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command deletes the fourth volume entry from the volume set called "sys":

   % backup delvolentry -name sys -entry 4

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/local/etc/openafs/server/UserList file on every machine where the Backup Server is running, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
backup(8), backup_addvolentry(8), backup_addvolset(8), backup_delvolset(8), backup_listvolsets(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.